using System;
using Benday.Cms.Business.Interfaces;
using Benday.Cms.Common;

namespace Benday.Cms.Business.DomainModel
{
    public class CmsLink : CmsParentedItem, ICmsLink
    {
        public string Url { get; set; }
        public string Target { get; set; }
        
        public bool IsFolderDefault { get; set; }

        public override IItemKey Key
        {
            get 
            {
                return new ItemKey("link", this.Id);
            }
        }
    }
}
