using System;
using Benday.Cms.Business.Interfaces;
using Benday.Cms.Common;

namespace Benday.Cms.Business.DomainModel
{
    public abstract class CmsNamedItem : BusinessBase, ICmsNamedItem
    {
        public string Name { get; set; }
        public abstract IItemKey Key { get; }
        public int DisplayOrder { get; set; }
        public bool IsVisible { get; set; }
    }
}
