using System;
using System.Collections.Generic;
using System.Text;
using Benday.Cms.Business.DomainModel;
using Benday.Cms.Common;


namespace Benday.Cms.Business.Interfaces
{
    public interface ICmsNavigationItem : INamed
    {
        IItemKey Key
        {
            get;
            set;
        }

        IItemKey TargetKey
        {
            get;
            set;
        }

        string Url { get; set; }
    }
}
