using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Benday.Cms.Business.DomainModel;
using Benday.Cms.Business.Facades;
using Microsoft.Practices.Unity;

namespace Benday.Cms.Business.Interfaces
{
    public interface IFileController
    {
        void InitializeBlank(IFileDetailView view);
        void Save(IFileDetailView view);
        void DeleteById(int fileId);
        void LoadById(IFileDetailView view);
    }
}
