using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Benday.Cms.Common
{
    public interface IDomainObjectService<T> where T : IBusinessBase
    {
        IList<T> GetList();
        T GetById(int id);
        void Save(T saveThis);
        void Delete(T deleteThis);
    }
}
