using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Benday.Cms.Common
{
    public interface IObjectFactory
    {
        T Create<T>();
        void Reconfigure(string configurationName);
        void RegisterInstance<T>(T instance);
    }
}
