using System;
using Benday.Cms.Common;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Benday.Cms.SqlServer.IntegrationTests
{
    [TestClass]
    public class RepositoryConfigurationFixture : UnitTestBase
    {
        public RepositoryConfigurationFixture()
        {
        }
        [TestMethod]
        public void RepositoryConfiguration_ObjectFactory_GetRepositoryInstances()
        {
            var folderRepository = ObjectFactoryInstance.Create<ICmsFolderRepository>();
            Assert.IsNotNull(folderRepository, "Folder repository was null.");
            var linkRepository = ObjectFactoryInstance.Create<ICmsLinkRepository>();
            Assert.IsNotNull(linkRepository, "Link repository was null.");
            var webPageRepository = ObjectFactoryInstance.Create<ICmsWebPageRepository>();
            Assert.IsNotNull(webPageRepository, "Web page repository was null.");
        }
    }
}
