using System;
using Benday.Cms.Common;

namespace Benday.Cms.SqlServer
{
    public static class RepositoryUtility
    {
        private static bool IsIdValueSaved(int id)
        {
            if (id <= default(int))
                return false;
            else
                return true;
        }
        public static void PopulateParentFolderInterceptor(ICmsFolderParented childFolder, int parentFolderId, ICmsFolderRepository repository)
        {
            if (childFolder == null || IsIdValueSaved(parentFolderId) == false)
            {
                // null parent...nothing to lazy load
            }
            else
                childFolder.Parent = new CmsFolderLazyLoadProxy(repository, parentFolderId);
        }
    }
}
