using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Benday.Cms.Business;
using Benday.Cms.Business.Interfaces;
using Benday.Cms.Common;
using System.Collections.Generic;
using System.IO;
using Rhino.Mocks;
using Rhino.Mocks.Expectations;

namespace Benday.Cms.UnitTests.UserInterfaceTests
{
    /*
    [TestClass]
    public class FileViewFixture : AdminUserInterfaceFixture
    {
        public FileViewFixture()
        {
        }

        protected override void OnTestInitialize()
        {
            Assert.IsNotNull(Folders);
        }

        private IFileDetailView m_fileViewInstance;
        public IFileDetailView FileViewInstance
        {
            get
            {
                if (m_fileViewInstance == null)
                {
                    m_fileViewInstance = MockRepositoryInstance.Stub<IFileDetailView>();
                }

                return m_fileViewInstance;
            }
        }

        private IFileController m_fileControllerInstance;
        public IFileController FileControllerInstance
        {
            get
            {
                if (m_fileControllerInstance == null)
                {
                    m_fileControllerInstance = ObjectFactoryInstance.Create<IFileController>();
                }
                return m_fileControllerInstance;
            }
        }

        [TestMethod]
        public void FileView_InitializeBlank()
        {
            FileControllerInstance.InitializeBlank(FileViewInstance);

            Assert.AreEqual<int>(default(int), FileViewInstance.ItemId, "ItemId");
            Assert.AreEqual<string>(String.Empty, FileViewInstance.Name, "Name should be empty string.");
            Assert.AreEqual<string>(String.Empty, FileViewInstance.Filename, "Filename should be empty string.");
            Assert.AreEqual<bool>(true, FileViewInstance.IsImage, "IsImage");
            Assert.AreEqual<int>(0, FileViewInstance.DisplayOrder, "DisplayOrder");
            Assert.AreEqual<int>(default(int), FileViewInstance.ParentFolderId, "ParentFolderId");
            Assert.AreEqual<bool>(false, FileViewInstance.IsVisible, "IsVisible");
            Assert.AreEqual<bool>(false, FileViewInstance.ModifyFile, "ModifyFile");

            Assert.IsNotNull(FileViewInstance.Folders, "Folders collection was null.");
            Assert.AreEqual<int>(Folders.Count + 1, FileViewInstance.Folders.Count, "Folder count didn't match.");
        }

        private void PopulateFileWithData(IFileDetailView view)
        {
            view.DisplayOrder = 1;
            view.Filename = "test.jpg";
            view.IsImage = true;
            view.Name = "name";
            view.ParentFolderId = Folders[0].Id;
            view.IsVisible = true;
        }

        private byte[] ReadFileAsByteArray(string testFilename)
        {
            string path = Path.Combine(TestContext.TestDeploymentDir, testFilename);
            Assert.IsTrue(File.Exists(path), "Could not find test filename '{0}' at '{1}'.", testFilename, path);
            return File.ReadAllBytes(path);
        }

        [TestMethod]
        public void FileView_CreateFileViaUi()
        {
            FileControllerInstance.InitializeBlank(FileViewInstance);

            PopulateFileWithData(FileViewInstance);

            FileViewInstance.ModifyFile = true;
            FileViewInstance.Filename = "siteLogo.gif";
            FileViewInstance.FileData = ReadFileAsByteArray("siteLogo.gif");

            FileControllerInstance.Save(FileViewInstance);

            Assert.IsFalse(FileViewInstance.ModifyFile, "ModifyFile should be false after save.");

            Assert.AreNotEqual<int>(default(int), FileViewInstance.ItemId, "ItemId should not be String.Empty after save.");

            var reloaded = FileServiceInstance.GetById(FileViewInstance.ItemId);

            UnitTestUtility.AssertAreEqual(reloaded, FileViewInstance, false);
        }

        [TestMethod]
        public void FileView_LoadFileViaUi()
        {
            FileControllerInstance.InitializeBlank(FileViewInstance);

            ICmsFile fileToTest = Files[0];

            FileViewInstance.ItemId = fileToTest.Id;

            FileControllerInstance.LoadById(FileViewInstance);

            UnitTestUtility.AssertAreEqual(fileToTest, FileViewInstance, false);
        }

        [TestMethod]
        public void FileView_ModifyExistingFileViaUi_ModifyFile()
        {
            FileControllerInstance.InitializeBlank(FileViewInstance);

            FileViewInstance.ItemId = Files[0].Id;

            FileControllerInstance.LoadById(FileViewInstance);

            PopulateFileWithData(FileViewInstance);

            FileViewInstance.ModifyFile = true;

            FileControllerInstance.Save(FileViewInstance);

            var reloaded = FileServiceInstance.GetById(FileViewInstance.ItemId);

            UnitTestUtility.AssertAreEqual(reloaded, FileViewInstance, false);
        }

        [TestMethod]
        public void FileView_ModifyExistingFileViaUi_SkipFileModified()
        {
            FileControllerInstance.InitializeBlank(FileViewInstance);

            FileViewInstance.ItemId = Files[0].Id;

            FileControllerInstance.LoadById(FileViewInstance);

            var reloadedBeforeModify = FileServiceInstance.GetById(FileViewInstance.ItemId);

            Assert.IsNotNull(reloadedBeforeModify, "reloadedBeforeModify is null.");

            PopulateFileWithData(FileViewInstance);
            
            FileViewInstance.ModifyFile = false;

            FileViewInstance.FileData = null;

            FileControllerInstance.Save(FileViewInstance);

            var reloadedAfterModify = FileServiceInstance.GetById(FileViewInstance.ItemId);

            UnitTestUtility.AssertAreEqual(reloadedAfterModify, FileViewInstance, true);

            UnitTestUtility.AssertAreEqual(reloadedBeforeModify.Filedata.Data, 
                reloadedAfterModify.Filedata.Data, 
                "File data should not have be changed by the modify.");
        }

        [TestMethod]
        [ExpectedException(typeof(UnknownIdException))]
        public void FileView_DeleteFileViaUi()
        {
            FileControllerInstance.InitializeBlank(FileViewInstance);

            FileViewInstance.ItemId = Links[0].Id;

            FileControllerInstance.DeleteById(Links[0].Id);

            FileControllerInstance.LoadById(FileViewInstance);
        }
    }
    */
}
