using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Benday.Cms.WebAndLoadTests
{
    [TestClass]
    public abstract class UnitTestBase
    {
        public TestContext TestContext { get; set; }
        protected virtual void OnTestInitialize()
        {
        }
        [TestInitialize]
        public void TestInitialize()
        {
            OnTestInitialize();
        }
        [TestCleanup]
        public void TestCleanup()
        {
            OnTestCleanup();
        }
        protected virtual void OnTestCleanup()
        {
        }
    }
}
