<%@ Page Language="C#" AutoEventWireup="true" Inherits="Administrator_LogViewer" Codebehind="LogViewer.aspx.cs" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
    <link href="../style.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:Label ID="Label1" runat="server" Text="Start Date"></asp:Label>
        <asp:TextBox ID="m_textStartDate" runat="server"></asp:TextBox>&nbsp;
        <asp:Label ID="Label2" runat="server" Text="End Date"></asp:Label>
        <asp:TextBox ID="m_textEndDate" runat="server"></asp:TextBox>
        <asp:Button ID="m_btnSearch" runat="server" OnClick="m_btnSearch_Click" Text="Search" /><br />
        <asp:Button ID="m_btnPrevious" runat="server" Text="< Prev" OnClick="m_btnPrevious_Click" />
        <asp:Button ID="m_btnNext" runat="server" Text="Next >" OnClick="m_btnNext_Click" /><br />
        <asp:GridView ID="m_grid" runat="server" AllowPaging="True" AutoGenerateColumns="False" BackColor="White" BorderColor="#999999" BorderStyle="None" BorderWidth="1px" CellPadding="3" DataSourceID="m_odsLogEntry" GridLines="Vertical" DataKeyNames="LogEntryId" PageSize="30">
            <FooterStyle BackColor="#CCCCCC" ForeColor="Black" />
            <Columns>
                <asp:CommandField SelectText="(detail)" ShowSelectButton="True" />
                <asp:BoundField DataField="LogEntryId" HeaderText="LogEntryId" InsertVisible="False"
                    ReadOnly="True" SortExpression="LogEntryId" />
                <asp:BoundField DataField="LogDate" HeaderText="LogDate" SortExpression="LogDate" />
                <asp:BoundField DataField="MessageType" HeaderText="MessageType" SortExpression="MessageType" />
                <asp:BoundField DataField="SourceAddress" HeaderText="SourceAddress" SortExpression="SourceAddress" />
                <asp:BoundField DataField="MessageSource" HeaderText="MessageSource" SortExpression="MessageSource" />
                <asp:BoundField DataField="MessageText" HeaderText="MessageText" SortExpression="MessageText" />
                <asp:BoundField DataField="Username" HeaderText="Username" SortExpression="Username" />
                <asp:BoundField DataField="SessionId" HeaderText="SessionId" SortExpression="SessionId" />
                <asp:BoundField DataField="Referrer" HeaderText="Referrer" SortExpression="Referrer" />
                <asp:BoundField DataField="PathInfo" HeaderText="PathInfo" SortExpression="PathInfo" />
            </Columns>
            <RowStyle BackColor="#EEEEEE" ForeColor="Black" />
            <SelectedRowStyle BackColor="#008A8C" Font-Bold="True" ForeColor="White" />
            <PagerStyle BackColor="#999999" ForeColor="Black" HorizontalAlign="Left" />
            <HeaderStyle BackColor="#000084" Font-Bold="True" ForeColor="White" />
            <AlternatingRowStyle BackColor="Gainsboro" />
        </asp:GridView>
        <br />
    
    </div>
    <table>
        <tr>
        <td>
            &nbsp;</td>
        </tr>
        <tr>
            <td><asp:GridView ID="m_gridEntryAttributes" runat="server" AutoGenerateColumns="False" BackColor="White" BorderColor="#999999" BorderStyle="None" BorderWidth="1px" CellPadding="3" DataSourceID="m_odsAttributes" GridLines="Vertical" DataKeyNames="LogEntryAttributeId">
                <FooterStyle BackColor="#CCCCCC" ForeColor="Black" />
                <Columns>
                    <asp:BoundField DataField="LogEntryAttributeId" HeaderText="LogEntryAttributeId"
                        InsertVisible="False" ReadOnly="True" SortExpression="LogEntryAttributeId" />
                    <asp:BoundField DataField="LogEntryId" HeaderText="LogEntryId" SortExpression="LogEntryId" />
                    <asp:BoundField DataField="AttributeIndex" HeaderText="AttributeIndex" SortExpression="AttributeIndex" />
                    <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name" />
                    <asp:BoundField DataField="AttributeValue" HeaderText="AttributeValue" SortExpression="AttributeValue" />
                </Columns>
                <RowStyle BackColor="#EEEEEE" ForeColor="Black" />
                <SelectedRowStyle BackColor="#008A8C" Font-Bold="True" ForeColor="White" />
                <PagerStyle BackColor="#999999" ForeColor="Black" HorizontalAlign="Center" />
                <HeaderStyle BackColor="#000084" Font-Bold="True" ForeColor="White" />
                <AlternatingRowStyle BackColor="Gainsboro" />
        </asp:GridView></td>
        </tr>
    </table>
        &nbsp;
        <asp:ObjectDataSource ID="m_odsLogEntry" runat="server" SelectMethod="GetByDateRangeStronglyTyped"
            TypeName="Benday.Cms.Business.Facades.LogFacade" OldValuesParameterFormatString="original_{0}">
            <SelectParameters>
                <asp:ControlParameter ControlID="m_textStartDate" Name="startDate" PropertyName="Text"
                    Type="String" />
                <asp:ControlParameter ControlID="m_textEndDate" Name="endDate" PropertyName="Text"
                    Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="m_odsAttributes" runat="server" DeleteMethod="Delete" InsertMethod="Insert"
            OldValuesParameterFormatString="original_{0}" SelectMethod="GetDataByLogEntryId"
            TypeName="Benday.Cms.Business.LogDatasetTableAdapters.LogAttributeTableAdapter"
            UpdateMethod="Update">
            <DeleteParameters>
                <asp:Parameter Name="Original_LogEntryAttributeId" Type="Int32" />
                <asp:Parameter Name="Original_LogEntryId" Type="Int32" />
                <asp:Parameter Name="Original_AttributeIndex" Type="Int32" />
                <asp:Parameter Name="Original_Name" Type="String" />
                <asp:Parameter Name="Original_AttributeValue" Type="String" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="LogEntryId" Type="Int32" />
                <asp:Parameter Name="AttributeIndex" Type="Int32" />
                <asp:Parameter Name="Name" Type="String" />
                <asp:Parameter Name="AttributeValue" Type="String" />
                <asp:Parameter Name="Original_LogEntryAttributeId" Type="Int32" />
                <asp:Parameter Name="Original_LogEntryId" Type="Int32" />
                <asp:Parameter Name="Original_AttributeIndex" Type="Int32" />
                <asp:Parameter Name="Original_Name" Type="String" />
                <asp:Parameter Name="Original_AttributeValue" Type="String" />
                <asp:Parameter Name="LogEntryAttributeId" Type="Int32" />
            </UpdateParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="m_grid" Name="logEntryId" PropertyName="SelectedValue"
                    Type="Int32" />
            </SelectParameters>
            <InsertParameters>
                <asp:Parameter Name="LogEntryId" Type="Int32" />
                <asp:Parameter Name="AttributeIndex" Type="Int32" />
                <asp:Parameter Name="Name" Type="String" />
                <asp:Parameter Name="AttributeValue" Type="String" />
            </InsertParameters>
        </asp:ObjectDataSource>
        
    </form>
</body>
</html>
