using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Benday.Cms.Business;
using Benday.Cms.Common;

namespace Benday.Cms.WebUI
{
    public abstract class CmsBasePage : Page
	{
		public CmsBasePage()
		{

		}

        protected void FlushCache()
        {
            BaseClassUtility.FlushCache();
        }

        public IObjectFactory ObjectFactoryInstance
        {
            get
            {
                return BaseClassUtility.ObjectFactoryInstance;
            }
        }               
	}
}