using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Benday.Cms.Business.Facades;
using Benday.Cms.Business.Interfaces;


namespace Benday.Cms.WebUI
{
	public partial class Default : CmsBasePage
	{
		protected void Page_Load(object sender, EventArgs e)
		{
            LogThisPageView();

			Response.Redirect("~/DisplayWebPage.aspx");
		}
        private void LogThisPageView()
        {
            ITrafficLogger logger = ObjectFactoryInstance.Create<ITrafficLogger>();

            logger.LogPageView("Default.aspx");             
        }
    }
}
