using System;
using System.Runtime.Serialization;

namespace Benday.Cms.WebUI
{
    [DataContract]
    public class FolderDto
    {
        public FolderDto()
        {
        }
        /// <summary>
        /// Initializes a new instance of the FolderDto class.
        /// </summary>
        public FolderDto(int id, string name, int displayOrder, bool isVisible, int parentId)
        {
            Id = id;
            Name = name;
            DisplayOrder = displayOrder;
            IsVisible = isVisible;
            ParentId = parentId;
        }
        [DataMember]
        public int Id { get; set; }
        [DataMember]
        public string Name { get; set; }
        [DataMember]
        public int DisplayOrder { get; set; }
        [DataMember]
        public bool IsVisible { get; set; }
        [DataMember]
        public int ParentId { get; set; }
    }
}
