using System;
using System.Runtime.Serialization;

namespace Benday.Cms.WebUI
{
    [DataContract]
    public class LinkDto
    {
        public LinkDto()
        {
        }

        /// <summary>
        /// Initializes a new instance of the LinkDto class.
        /// </summary>
        public LinkDto(int id, 
            string name, 
            int displayOrder, 
            bool isVisible, 
            int parentId, 
            bool isFolderDefault, 
            string url, 
            string target)
        {
            Id = id;
            Name = name;
            DisplayOrder = displayOrder;
            IsVisible = isVisible;
            ParentId = parentId;
            IsFolderDefault = isFolderDefault;
            Url = url;
            Target = target;
        }

        [DataMember]
        public int Id { get; set; }
        [DataMember]
        public string Name { get; set; }
        [DataMember]
        public int DisplayOrder { get; set; }
        [DataMember]
        public bool IsVisible { get; set; }
        [DataMember]
        public int ParentId { get; set; }
        [DataMember]
        public bool IsFolderDefault { get; set; }
        [DataMember]
        public string Url { get; set; }
        [DataMember]
        public string Target { get; set; }
    }
}
