using System;
using System.Runtime.Serialization;

namespace Benday.Cms.WebUI
{

    [DataContract]
    public class WebPageDto
    {
        public WebPageDto()
        {
        }

        /// <summary>
        /// Initializes a new instance of the WebPageDto class.
        /// </summary>
        public WebPageDto(int id, 
            string name, 
            int displayOrder, 
            bool isVisible, 
            int parentId, 
            string title, 
            string content, 
            bool isFolderDefault)
        {
            Id = id;
            Name = name;
            DisplayOrder = displayOrder;
            IsVisible = isVisible;
            ParentId = parentId;
            Title = title;
            Content = content;
            IsFolderDefault = isFolderDefault;
        }

        [DataMember]
        public int Id { get; set; }
        [DataMember]
        public string Name { get; set; }
        [DataMember]
        public int DisplayOrder { get; set; }
        [DataMember]
        public bool IsVisible { get; set; }
        [DataMember]
        public int ParentId { get; set; }

        [DataMember]
        public string Title { get; set; }
        [DataMember]
        public string Content { get; set; }
        [DataMember]
        public bool IsFolderDefault { get; set; }
    }
}
