using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Benday.Cms.Business.DomainModel;
using Benday.Cms.Business.Facades;


namespace Benday.Cms.Business.Admin
{
    public class ValidationException : ApplicationException
    {
        public ValidationException(string fieldName, string message)
            : base(String.Format("Invalid value in '{0}'.  {1}", fieldName, message))
        {
            m_fieldName = fieldName;
        }

        private string m_fieldName;
        public string FieldName
        {
            get { return m_fieldName; }
        }
    }
}
