using System;
using Benday.Cms.Common;

namespace Benday.Cms.Business.DomainModel
{
    public abstract class CmsParentedItem : CmsNamedItem, ICmsFolderParented
    {
        public CmsParentedItem()
        {
        }
        private int m_ParentId;
        public int ParentId
        {
            get
            {
                if (m_Parent != null)
                    return m_Parent.Id;
                else
                    return m_ParentId;
            }
            set
            {
                if (m_Parent == null)
                    m_ParentId = value;
            }
        }
        private ICmsFolder m_Parent;
        public ICmsFolder Parent
        {
            get
            {
                return m_Parent;
            }
            set
            {
                m_Parent = value;
            }
        }
    }
}
