using System;
using System.Collections.Generic;
using System.Text;

using Benday.Cms.Business.Interfaces;
using Benday.Cms.Common;

namespace Benday.Cms.Business.DomainModel
{
    internal class ItemKey : IItemKey
    {
        public ItemKey()
        {

        }

        /// <summary>
        /// Initializes a new instance of the ItemKey class.
        /// </summary>
        public ItemKey(string itemType, int itemId)
        {
            ItemType = itemType;
            ItemId = itemId;
        }

        public string ItemType { get; set; }
        public int ItemId { get; set; }

        public override string ToString()
        {
            return String.Format("{0} {1}", ItemType, ItemId);
        }
    }
}
