using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Benday.Cms.Business.DomainModel;
using Benday.Cms.Business.Facades;


using Microsoft.Practices.Unity;

namespace Benday.Cms.Business.Interfaces
{
    public interface ICmsPageController
    {
        void InitializeBlank(IPageView view);
        void LoadById(IPageView view);
        void DeleteById(int pageId);
        void Save(IPageView view);
        int CreateCopy(int pageId);
    }
}
