using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;


namespace Benday.Cms.Business.Interfaces
{
    /// <summary>
    /// Represents an item that can be stored in a folder.
    /// </summary>
    public interface IFolderItemView
    {
        int ItemId { get; set; }
        string Name { get; set; }
        bool IsVisible { get; set; }
        int DisplayOrder { get; set; }
        int ParentFolderId { get; set; }
        IList<IFolderInfo> Folders { get; set; }
    }
}
