using System;
using System.Collections.Generic;
using System.Text;
using Benday.Cms.Business.DomainModel;
using Benday.Cms.Common;

namespace Benday.Cms.Business.Interfaces
{
    public interface IPageDisplayView
    {
        IItemKey ItemKey { get; set; }
        IItemKey FolderItemKey { get; set; }
        void Redirect(string redirectTo);
        string PageContent { get; set; }
        string PageTitle { get; set; }
    }
}
