using System;
using System.Collections.Generic;
using System.Text;
using Benday.Cms.Business.DomainModel;
using Benday.Cms.Common;

namespace Benday.Cms.Business.Interfaces
{
    public interface ITrafficLogger
    {
        void LogPageView(ICmsWebPage page);
        void LogPageView(string pageName);
        void LogPageView(string source, string messageType, string message);
        void LogError(string source, string messageText, Exception ex);
        void LogLinkView(ICmsLink link);
    }
}
