using System;
using System.Collections.Generic;
using System.Linq;
using Benday.Cms.Business.Interfaces;
using Benday.Cms.Common;

namespace Benday.Cms.Business.Mocks
{
    public class CmsWebPageRepositoryMock : RepositoryMock<ICmsWebPage>, ICmsWebPageRepository
    {
        public CmsWebPageRepositoryMock()
        {

        }

        public IList<ICmsWebPage> GetByFolderId(int folderId)
        {
            var results = from temp in Items
                          where temp.Parent != null && temp.Parent.Id == folderId
                          select temp;

            return results.ToList();
        }
    }
}
