using System;
using System.Collections.Generic;
using System.Linq;
using Benday.Cms.Business.Interfaces;
using Benday.Cms.Common;

namespace Benday.Cms.Business.Mocks
{
    public class LogRepositoryMock : ILogRepository
    {
        public LogRepositoryMock()
        {
            m_Items = new List<ILogEntry>();
        }

        private List<ILogEntry> m_Items;
        private List<ILogEntry> Items
        {
            get { return m_Items; }
        }

        public void Save(ILogEntry saveThis)
        {
            Items.Add(saveThis);
        }
    }
}
