using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;


namespace Benday.Cms.Common
{
    public interface ICmsFolder : ICmsFolderParented
    {
        IItemKey DefaultItem { get; }
        string FullPath { get; }
        IList<ICmsFolder> Folders { get; set; }
        IList<ICmsWebPage> Pages { get; set; }
        IList<ICmsLink> Links { get; set; }
        // IList<ICmsFile> Files { get; set; }
        void Add(ICmsFolder child);
        void Add(ICmsLink link);
        void Add(ICmsWebPage page);
        // void Add(ICmsFile file);
        ICmsNamedItem FindDefaultItem();
    }
}
