using System;
using System.Collections.Generic;

namespace Benday.Cms.Common
{
    public interface ILogEntry
    {
        int LogEntryId { get; set; }
        DateTime LogDate { get; set; }
        string MessageType { get; set; }
        string SourceAddress { get; set; }
        string MessageSource { get; set; }
        string MessageText { get; set; }
        string Username { get; set; }
        string SessionId { get; set; }
        string Referrer { get; set; }
        string PathInfo { get; set; }
        IList<ILogEntryAttribute> EntryAttributes { get; set; }
        ILogEntryAttribute AddEntryAttribute(string name, string val);
    }
}
