﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Benday.Cms.Common;
using Benday.Cms.Business;
using System.Threading;
using System.Diagnostics;
using System.IO;
using Benday.Cms.Factories;
using System.Configuration;

namespace Benday.Cms.Security.WpfUi
{
    public class ContentDeletor
    {
        public ContentDeletor()
        {
        }

        private IObjectFactory m_objectFactoryInstance;
        public IObjectFactory ObjectFactoryInstance
        {
            get
            {
                if (m_objectFactoryInstance == null)
                {
                    m_objectFactoryInstance = new ObjectFactory();
                }

                return m_objectFactoryInstance;
            }
        }

        private void ExecuteSqlCommand(string sql)
        {
            using (var connection = new System.Data.SqlClient.SqlConnection(
                ConfigurationManager.ConnectionStrings["(default)"].ConnectionString))
            {
                connection.Open();

                using (var command = connection.CreateCommand())
                {
                    command.CommandType = System.Data.CommandType.Text;
                    command.CommandText = sql;

                    command.ExecuteNonQuery();
                }

                connection.Close();
            }
        }

        public void DeleteAllContent()
        {
            ExecuteSqlCommand("EXEC sp_msforeachtable \"ALTER TABLE ? NOCHECK CONSTRAINT all\"");
            ExecuteSqlCommand("EXEC sp_msforeachtable \"DELETE FROM ?\"");
            ExecuteSqlCommand("EXEC sp_msforeachtable \"ALTER TABLE ? WITH CHECK CHECK CONSTRAINT all\"");
        }       
    }
}
