﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Administrator/CmsAdminMasterPage.Master" AutoEventWireup="true" CodeBehind="FolderDetailView.aspx.cs" Inherits="Benday.Cms.WebUI.Administrator.FolderDetailView" %>
<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <table>
    <tr>
        <td colspan="2">
            <h2>Edit Folder<asp:ScriptManager ID="ScriptManager1" runat="server">
                </asp:ScriptManager>
            </h2>
        </td>
    </tr>
    <tr>
        <td>
            ItemId
        </td>
        <td>
            <asp:Label ID="m_labelItemId" runat="server" Text="ItemId"></asp:Label>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="m_labelName" runat="server" Text="Name"></asp:Label>
        </td>
        <td>
            <asp:TextBox ID="m_textName" runat="server" Width="600px"></asp:TextBox>
        </td>
    </tr>
    
    <tr>
        <td>
            <asp:Label ID="m_labelVisible" runat="server" Text="Visible"></asp:Label>
        </td>
        <td>
            <asp:CheckBox ID="m_chkVisible" runat="server"></asp:CheckBox>
        </td>
    </tr>
    
    <tr>
        <td>
            <asp:Label ID="m_labelDisplayOrder" runat="server" Text="Display Order"></asp:Label>
        </td>
        <td>
            <asp:TextBox ID="m_textDisplayOrder" runat="server"></asp:TextBox>
        </td>
    </tr>
    
    <tr>
        <td>
            <asp:Label ID="m_labelParentFolder" runat="server" Text="Parent Folder"></asp:Label>
        </td>
        <td>
            <asp:ListBox ID="m_lstParentFolder" runat="server" Width="600px"></asp:ListBox>
        </td>
    </tr>
    <tr>
        <td>
         Link to folder   
        </td>
        <td>
            <asp:HyperLink ID="m_linkToItem" runat="server" Enabled="false">(link to item)</asp:HyperLink>
            <asp:HiddenField
                ID="m_hiddenLinkToItemUrl" Value="~/DisplayWebPage.aspx?folderId={0}" runat="server" />
        </td>
    </tr>
    <tr>
        <td>
        </td>
        <td>
            <table width="100%">
                <tr>
                    <td>
                        <asp:Button ID="m_btnSave" runat="server" Text="Save" Width="100px" OnClick="m_btnSave_Click" />
                        <asp:Button ID="m_btnCancel" runat="server" Text="Cancel" Width="100px" OnClick="m_btnCancel_Click" />
                    </td>
                    <td align="right">
                        <asp:Button ID="m_btnDelete" runat="server" Width="100px" Text="Delete" 
                            onclick="m_btnDelete_Click" />
                        <cc1:ConfirmButtonExtender ID="m_btnDelete_ConfirmButtonExtender" 
                            runat="server" ConfirmText="Are you sure you want to delete this folder?" 
                            Enabled="True" TargetControlID="m_btnDelete">
                        </cc1:ConfirmButtonExtender>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    
    <tr>
        <td colspan="2">
            <asp:HyperLink ID="m_linkCreateNewPage" runat="server" 
            NavigateUrl="~/Administrator/PageDetailView.aspx?Id=-1&FolderId={0}" Enabled="false" >Create New Page</asp:HyperLink>
            <asp:GridView ID="m_grid" runat="server" AutoGenerateColumns="false">
                <Columns>
                    <asp:HyperLinkField DataNavigateUrlFields="Id" 
                        DataNavigateUrlFormatString="~/Administrator/PageDetailView.aspx?Id={0}" Text="(edit)" />
                    <asp:BoundField DataField="IsFolderDefault" HeaderText="Folder Default" />
                    <asp:BoundField DataField="Id" HeaderText="Id" />
                    <asp:BoundField DataField="Name" HeaderText="Name" />
                    <asp:BoundField DataField="Status" HeaderText="Status" />
                    <asp:BoundField DataField="DisplayOrder" HeaderText="Display Order" />
                    <asp:BoundField DataField="Visible" HeaderText="Visible" />
                </Columns>
            </asp:GridView>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <asp:HyperLink ID="m_linkCreateNewLink" runat="server" 
            NavigateUrl="~/Administrator/LinkDetailView.aspx?Id=-1&FolderId={0}" Enabled="false" >Create New Link</asp:HyperLink>
            <asp:GridView ID="m_gridLinks" runat="server" AutoGenerateColumns="False">
                <Columns>
                    <asp:HyperLinkField DataNavigateUrlFields="Id" 
                        DataNavigateUrlFormatString="~/Administrator/LinkDetailView.aspx?Id={0}" Text="(edit)" />
                    <asp:BoundField DataField="IsFolderDefault" HeaderText="Folder Default" />
                    <asp:BoundField DataField="Id" HeaderText="Id" />
                    <asp:BoundField DataField="Name" HeaderText="Name" />
                    <asp:HyperLinkField DataNavigateUrlFields="Url" 
                        DataNavigateUrlFormatString="{0}" Text="(link)" HeaderText="Url" Target="_blank" />
                    <asp:BoundField DataField="Status" HeaderText="Status" />
                    <asp:BoundField DataField="DisplayOrder" HeaderText="Display Order" />
                    <asp:BoundField DataField="Visible" HeaderText="Visible" />
                </Columns>
            </asp:GridView>
        </td>
    </tr>
    <%--<tr>
        <td colspan="2">
            <asp:HyperLink ID="m_linkCreateNewFile" runat="server" 
            NavigateUrl="~/Administrator/FileDetailView.aspx?Id=-1&FolderId={0}" Enabled="false" >Create New File</asp:HyperLink>
            <asp:GridView ID="m_gridFiles" runat="server" AutoGenerateColumns="False">
                <Columns>
                    <asp:HyperLinkField DataNavigateUrlFields="Id" 
                        DataNavigateUrlFormatString="~/Administrator/FileDetailView.aspx?Id={0}" Text="(edit)" />
                    <asp:BoundField DataField="IsFolderDefault" HeaderText="Folder Default" />
                    <asp:BoundField DataField="Id" HeaderText="Id" />
                    <asp:BoundField DataField="Name" HeaderText="Name" />
                    <asp:BoundField DataField="Filename" HeaderText="Filename" />
                    <asp:BoundField DataField="Status" HeaderText="Status" />
                    <asp:BoundField DataField="DisplayOrder" HeaderText="Display Order" />
                    <asp:BoundField DataField="Visible" HeaderText="Visible" />
                </Columns>
            </asp:GridView>
        </td>
    </tr>--%>
</table>
</asp:Content>
