using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Benday.Cms.Business.Facades;
using Benday.Cms.Business.Interfaces;
using Benday.Cms.WebUI;


public partial class Administrator_LogViewer : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (this.IsPostBack == false)
        {
            m_textStartDate.Text = DateTime.Today.AddDays(-7).ToShortDateString();
            m_textEndDate.Text = String.Empty;

            ITrafficLogger logger = BaseClassUtility.ObjectFactoryInstance.Create<ITrafficLogger>();
            logger.LogPageView("Log viewer");
        }
    }
    protected void m_btnSearch_Click(object sender, EventArgs e)
    {
        m_odsLogEntry.Select();
    }
    protected void m_btnPrevious_Click(object sender, EventArgs e)
    {
        if (m_grid.SelectedIndex - 1 >= 0)
        {
            m_grid.SelectedIndex--;
        }        
    }
    protected void m_btnNext_Click(object sender, EventArgs e)
    {
        m_grid.SelectedIndex++;
    }
}
