﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Administrator/CmsAdminMasterPage.Master"
    AutoEventWireup="true" CodeBehind="PageDetailView.aspx.cs" Inherits="Benday.Cms.WebUI.Administrator.PageDetailView" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit.HTMLEditor"
    TagPrefix="cc2" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <%--<asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>--%>
            <asp:ValidationSummary ID="ValidationSummary1" runat="server" />
            <table>
                <tr>
                    <td>
                        ItemId
                    </td>
                    <td>
                        <asp:Label ID="m_labelItemId" runat="server" Text="Id"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="m_labelName" runat="server" Text="Name"></asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="m_textName" runat="server" Width="250px"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="m_labelPageTitle" runat="server" Text="Page Title"></asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="m_textPageTitle" runat="server" Width="250px"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="m_labelDisplayOrder" runat="server" Text="Display Order"></asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="m_textDisplayOrder" runat="server" Width="250px"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="m_labelIsVisible" runat="server" Text="Is Visible"></asp:Label>
                    </td>
                    <td>
                        <asp:CheckBox ID="m_chkIsVisible" runat="server"></asp:CheckBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="m_labelIsFolderDefault" runat="server" Text="Is Folder Default"></asp:Label>
                    </td>
                    <td>
                        <asp:CheckBox ID="m_chkIsFolderDefault" runat="server"></asp:CheckBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="m_labelParentFolder" runat="server" Text="Parent Folder"></asp:Label>
                    </td>
                    <td>
                        <asp:ListBox ID="m_lstParentFolder" runat="server" Width="600px"></asp:ListBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        Link to page
                    </td>
                    <td>
                        <asp:HyperLink ID="m_linkToItem" runat="server" Enabled="false">(link to item)</asp:HyperLink>
                        <asp:HiddenField ID="m_hiddenLinkToItemUrl" Value="~/DisplayWebPage.aspx?itemId={0}"
                            runat="server" />
                    </td>
                </tr>
                <tr>
                    <td>
                    </td>
                    <td>
                        <table width="100%">
                            <tr>
                                <td>
                                    <asp:Button ID="m_btnSave" runat="server" Text="Save" Width="100px" OnClick="m_btnSave_Click" />
                                    <asp:Button ID="m_btnCancel" runat="server" Text="Cancel" Width="100px" OnClick="m_btnCancel_Click" />
                                </td>
                                <td align="right">
                                    <asp:Button ID="m_btnCreateCopy" runat="server" Width="100px" Text="Copy" OnClick="m_btnCreateCopy_Click" />
                                    <asp:Button ID="m_btnDelete" runat="server" Width="100px" Text="Delete" OnClick="m_btnDelete_Click" />
                                    <cc1:ConfirmButtonExtender ID="m_btnDelete_ConfirmButtonExtender" runat="server"
                                        ConfirmText="Are you sure you want to delete this page?" Enabled="True" TargetControlID="m_btnDelete">
                                    </cc1:ConfirmButtonExtender>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <cc2:Editor ID="m_editorHtml" runat="server" Height="700px" Width="900px" />
                    </td>
                </tr>
            </table>
        <%--</ContentTemplate>
    </asp:UpdatePanel>--%>
</asp:Content>
