using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.SessionState;

namespace Benday.Cms.WebUI
{
    public class ErrorReportingInfo
    {

        public ErrorReportingInfo()
        {
            ErrorMessages = new List<string>();
        }

        public DateTime LastErrorEmailDate { get; set; }
        public int ErrorCount { get; set; }
        public List<string> ErrorMessages { get; set; }
        public void AddErrorMessage(string errorMessage)
        {
            if (this.ErrorMessages.Count > 25)
            {
                this.ErrorMessages.RemoveAt(0);
            }

            this.ErrorMessages.Add(String.Format("{0}{1}{2}", DateTime.Now, Environment.NewLine, errorMessage));
        }
    }
}
